> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Profiles

> A `POST` to the `/profiles/batch.json` endpoint allows your application to process profiles in batch.



## OpenAPI

````yaml post /v3/profiles/batch.json
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/batch.json:
    post:
      tags:
        - Profile
      summary: Batch Profiles
      description: >-
        A `POST` to the `/profiles/batch.json` endpoint allows your application
        to process profiles in batch.
      operationId: profile.batch_0
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchProfileJson'
      responses:
        '202':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        const: Profiles queued for batch import.
                      batch_id:
                        type: string
                    required:
                      - message
                      - batch_id
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    BatchProfileJson:
      type: object
      properties:
        match_criteria:
          type: string
        profiles:
          type: array
          items:
            type: object
            properties:
              title:
                type:
                  - string
                  - 'null'
              first_name:
                type: string
              last_name:
                type: string
              email:
                type: string
                format: email
              gender:
                type:
                  - string
                  - 'null'
                enum:
                  - male
                  - female
                  - withheld
                  - other
              currency:
                type:
                  - string
                  - 'null'
              profile_type:
                type:
                  - string
                  - 'null'
                enum:
                  - temporary
                  - system
                  - dependant
                  - incomplete
                  - pending
                  - active
                  - deleted
              joined_at:
                type:
                  - string
                  - 'null'
                format: date-time
              mobile_phone:
                type:
                  - string
                  - 'null'
              secondary_phone:
                type:
                  - string
                  - 'null'
              birth_day:
                type:
                  - integer
                  - 'null'
              birth_month:
                type:
                  - integer
                  - 'null'
              birth_year:
                type:
                  - integer
                  - 'null'
              company:
                type:
                  - string
                  - 'null'
              occupation:
                type:
                  - string
                  - 'null'
              avatar_url:
                type:
                  - string
                  - 'null'
                format: uri
              joined_location_id:
                type:
                  - integer
                  - 'null'
              joined_location_external_id:
                type: string
              joined_location_external_code:
                type: string
              preferred_location_id:
                type:
                  - integer
                  - 'null'
              preferred_location_external_id:
                type:
                  - string
                  - 'null'
              preferred_location_external_code:
                type:
                  - string
                  - 'null'
              tags:
                type: array
                items:
                  type: string
              identities:
                type: array
                items:
                  type: object
                  properties:
                    handle:
                      type: string
                    is_active:
                      type:
                        - boolean
                        - 'null'
                    identifier:
                      type: string
                  required:
                    - handle
                    - identifier
              custom_attributes:
                type: array
                items:
                  type: object
                  properties:
                    namespace:
                      type: string
                    handle:
                      type: string
                    type:
                      type: string
                      enum:
                        - string
                        - integer
                        - float
                        - boolean
                        - json
                        - array
                    value:
                      type:
                        - string
                        - 'null'
                  required:
                    - namespace
                    - handle
                    - type
              dates_attributes:
                type: array
                items:
                  type: object
                  properties:
                    date:
                      type: string
                      format: date
                    name:
                      type: string
                    handle:
                      type: string
                    is_recurring:
                      type:
                        - boolean
                        - 'null'
                    recurring_schedule:
                      type:
                        - string
                        - 'null'
                    meta:
                      type:
                        - array
                        - 'null'
                      items:
                        type: string
                    note:
                      type:
                        - string
                        - 'null'
                    description:
                      type:
                        - string
                        - 'null'
                    relationship:
                      type:
                        - string
                        - 'null'
                    role:
                      type:
                        - string
                        - 'null'
                    links:
                      type: array
                      items:
                        type: object
                        properties:
                          profile_id:
                            type: string
                          relationship:
                            type:
                              - string
                              - 'null'
                          role:
                            type:
                              - string
                              - 'null'
                        required:
                          - profile_id
                  required:
                    - date
                    - name
                    - handle
              statuses:
                type: array
                items:
                  type: string
              addresses:
                type: array
                items:
                  type: object
                  properties:
                    address_line_1:
                      type: string
                    address_line_2:
                      type:
                        - string
                        - 'null'
                    address_line_3:
                      type:
                        - string
                        - 'null'
                    company:
                      type:
                        - string
                        - 'null'
                    city:
                      type: string
                    postcode:
                      type: string
                    state:
                      type: string
                    country:
                      type: string
                    notes:
                      type:
                        - string
                        - 'null'
                    is_default:
                      type:
                        - boolean
                        - 'null'
                    external_id:
                      type:
                        - string
                        - 'null'
                    meta:
                      type:
                        - array
                        - 'null'
                      items:
                        type: string
                    iso:
                      type:
                        - string
                        - 'null'
                      minLength: 2
                      maxLength: 2
                    iso_state:
                      type:
                        - string
                        - 'null'
                      minLength: 1
                      maxLength: 3
                  required:
                    - address_line_1
                    - city
                    - postcode
                    - country
              comms_attributes:
                type:
                  - object
                  - 'null'
                properties:
                  sms_promo:
                    type:
                      - boolean
                      - 'null'
                  email_promo:
                    type:
                      - boolean
                      - 'null'
                  email_bounced:
                    type:
                      - boolean
                      - 'null'
                  email_benefits:
                    type:
                      - boolean
                      - 'null'
                  email_consent_updated_at:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  sms_consent_updated_at:
                    type:
                      - string
                      - 'null'
                    format: date-time
              region_id:
                type: integer
              region:
                type: string
              region_country:
                type:
                  - string
                  - 'null'
              region_state:
                type:
                  - string
                  - 'null'
              regions:
                type: array
                items:
                  type: object
                  properties:
                    region_id:
                      type: integer
                    handle:
                      type: string
                    is_active:
                      type:
                        - boolean
                        - 'null'
                    country:
                      type:
                        - string
                        - 'null'
                    state:
                      type:
                        - string
                        - 'null'
              organisations:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                    role_definition_id:
                      type:
                        - integer
                        - 'null'
                    expires_at:
                      type:
                        - string
                        - 'null'
                      format: date-time
                    is_active:
                      type:
                        - boolean
                        - 'null'
                  required:
                    - id
              attributes:
                type: object
                properties:
                  comms:
                    type:
                      - object
                      - 'null'
                    properties:
                      email_consent_updated_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      sms_consent_updated_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                  appearance:
                    type:
                      - array
                      - 'null'
                    items:
                      type: string
            required:
              - first_name
              - last_name
              - email
          minItems: 1
          maxItems: 500
      required:
        - match_criteria
        - profiles
      title: BatchProfileJson
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````